Package com.avaya.clientservices.call.conference

## Enum ConferenceMobileLinkConnectionStatus

- java.lang.Object
- - java.lang.Enum<ConferenceMobileLinkConnectionStatus>
  - - com.avaya.clientservices.call.conference.ConferenceMobileLinkConnectionStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConferenceMobileLinkConnectionStatus>`

      public enum ConferenceMobileLinkConnectionStatus
      extends java.lang.Enum<ConferenceMobileLinkConnectionStatus>

  Enumeration representing the mobile link connection status to a conference room system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONNECTED` | Mobile link connection established.
    `CONNECTING` | Mobile link connecting.
    `DISCONNECTING` | Mobile link disconnecting.
    `NOT_CONNECTED` | Mobile link not connected.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConferenceMobileLinkConnectionStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConferenceMobileLinkConnectionStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_CONNECTED

          public static final ConferenceMobileLinkConnectionStatus NOT_CONNECTED

      Mobile link not connected.

    - #### CONNECTING

          public static final ConferenceMobileLinkConnectionStatus CONNECTING

      Mobile link connecting.

    - #### CONNECTED

          public static final ConferenceMobileLinkConnectionStatus CONNECTED

      Mobile link connection established.

    - #### DISCONNECTING

          public static final ConferenceMobileLinkConnectionStatus DISCONNECTING

      Mobile link disconnecting.

  - ### Method Detail

    - #### values

          public static ConferenceMobileLinkConnectionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConferenceMobileLinkConnectionStatus c : ConferenceMobileLinkConnectionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConferenceMobileLinkConnectionStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null